(*
This is just a demonstration of how to set a window background. It cheats by using two elements to work its magic:

	image view "background" of window "main"
	text field "color" of window "main"
	
You can drag and drop an image onto the window as well. There is very little error checking and the color well  doesn't work the way I'd like but this should give anyone who wants to use this type of functionality a place to start. Some added conrols coud be added to specify how the image is handled (scaled, proportinal fit, etc.).

Some credit would be nice...
*)

property script_author : "Jonathan Nathan"
property script_name : "PictureWindows"
property script_version : "1.0b1"
property script_release_date : date "Wednesday, September 10, 2003 12:00:00 AM"
property script_copyright : ("" & ((year of script_release_date) as string) & " " & script_author & ". All rights reserved.")
property script_thanks : ""
property script_registration : ""

property allow_quitting : false

on will finish launching the_object
	set object_name to name of the_object as string
	my update_status("will finish launching " & object_name)
end will finish launching

on launched the_object
	my update_status("launched " & (name of the_object as string))
	activate
	show window "main"
	set allow_quitting to true
end launched

on should quit after last window closed the_object
	return allow_quitting
end should quit after last window closed

on awake from nib the_object
	set object_name to name of the_object as string
	my update_status("awake from nib " & object_name)
	if object_name = "main" then
		--
	else if object_name = "about" then
		tell the_object
			center
			set contents of text field "title" to (script_name & " v" & script_version)
			set contents of text field "author" to ("by " & script_author)
			set contents of text field "release" to ("Released " & script_release_date as string)
			set contents of text field "copyright" to (script_copyright)
			set contents of text field "registration" to (script_registration)
			set contents of text field "thanks" to (script_thanks)
		end tell
	end if
end awake from nib

on choose menu item the_object
	set object_name to name of the_object as string
	my update_status("choose menu item " & object_name)
	if object_name = "about" then
		show window "about"
	else if object_name = "quit" then
		quit
	end if
end choose menu item

on clicked the_object
	set object_name to name of the_object as string
	my update_status("clicked " & object_name)
	if object_name = "about" then
		show window "about"
	else if object_name = "bg_normal" then
		set draws background of text field "color" of window "main" to false
		try
			delete image of image view "background" of window "main"
		end try
		update window "main"
	else if object_name = "bg_white" then
		try
			delete image of image view "background" of window "main"
		end try
		set background color of text field "color" of window "main" to {65535, 65535, 65535}
		set draws background of text field "color" of window "main" to true
		update window "main"
	else if object_name = "bg_color" then
		try
			delete image of image view "background" of window "main"
		end try
		set the_color to (get color of color well "bg_color_well" of window "main")
		set background color of text field "color" of window "main" to the_color
		set draws background of text field "color" of window "main" to true
		update window "main"
	else if object_name = "bg_picture" then
		set the_image to (POSIX path of ((choose file) as string))
		try
			set image of image view "background" of window "main" to load image the_image
			set draws background of text field "color" of window "main" to false
		on error
			set current row of matrix 1 of window "main" to 1
			set draws background of text field "color" of window "main" to false
			try
				delete image of image view "background" of window "main"
			end try
		end try
		update window "main"
	end if
end clicked

on action the_object
	set object_name to name of the_object as string
	my update_status("action " & object_name)
end action

on drop the_object drag info drag_info
	log drag_info
	set current row of matrix 1 of window "main" to 4
end drop

on update_status(the_message)
	log the_message
end update_status